Commit 2b6f4934 authored by Michael Catanzaro's avatar Michael Catanzaro

Quote more things in configure.ac (style)

parent 4e894fe1
......@@ -92,7 +92,7 @@ AC_LANG_PROGRAM([[
}
]])],[
AC_MSG_RESULT([yes])
AC_DEFINE(HAVE_FALLOCATE,1,[Have valid fallocate() function])],[
AC_DEFINE([HAVE_FALLOCATE],[1],[Have valid fallocate() function])],[
AC_MSG_RESULT([no])])
# ***************************
......@@ -110,33 +110,33 @@ GSD_PLUGIN_REQUIRED=3.8
LIBNOTIFY_REQUIRED=0.7
LIBLZMA_REQUIRED=5.0.5
PKG_CHECK_MODULES(GLIB2, [gmodule-2.0 gio-unix-2.0 >= $GLIB2_REQUIRED])
PKG_CHECK_MODULES(UDISKS2, [udisks2 >= $UDISKS2_REQUIRED])
PKG_CHECK_MODULES(GTK3, [gtk+-3.0 >= $GTK3_REQUIRED])
PKG_CHECK_MODULES(LIBSECRET1, [libsecret-1 >= $LIBSECRET1_REQUIRED])
PKG_CHECK_MODULES(PWQUALITY, [pwquality >= $PWQUALITY_REQUIRED])
PKG_CHECK_MODULES(CANBERRA, [libcanberra-gtk3 >= $CANBERRA_REQUIRED])
PKG_CHECK_MODULES(LIBDVDREAD, [dvdread >= $LIBDVDREAD_REQUIRED])
PKG_CHECK_MODULES(LIBNOTIFY, [libnotify >= $LIBNOTIFY_REQUIRED])
PKG_CHECK_MODULES(LIBLZMA, [liblzma >= $LIBLZMA_REQUIRED])
PKG_CHECK_MODULES([GLIB2], [gmodule-2.0 gio-unix-2.0 >= $GLIB2_REQUIRED])
PKG_CHECK_MODULES([UDISKS2], [udisks2 >= $UDISKS2_REQUIRED])
PKG_CHECK_MODULES([GTK3], [gtk+-3.0 >= $GTK3_REQUIRED])
PKG_CHECK_MODULES([LIBSECRET1], [libsecret-1 >= $LIBSECRET1_REQUIRED])
PKG_CHECK_MODULES([PWQUALITY], [pwquality >= $PWQUALITY_REQUIRED])
PKG_CHECK_MODULES([CANBERRA], [libcanberra-gtk3 >= $CANBERRA_REQUIRED])
PKG_CHECK_MODULES([LIBDVDREAD], [dvdread >= $LIBDVDREAD_REQUIRED])
PKG_CHECK_MODULES([LIBNOTIFY], [libnotify >= $LIBNOTIFY_REQUIRED])
PKG_CHECK_MODULES([LIBLZMA], [liblzma >= $LIBLZMA_REQUIRED])
gsd_plugindir='${libdir}/gnome-settings-daemon-3.0'
AC_SUBST([gsd_plugindir])
GLIB_GSETTINGS
AC_PATH_PROG(GLIB_COMPILE_RESOURCES, glib-compile-resources)
AC_PATH_PROG([GLIB_COMPILE_RESOURCES], [glib-compile-resources])
dnl ****************************
dnl *** Check for libsystemd ***
dnl ****************************
AC_ARG_ENABLE(libsystemd, AS_HELP_STRING([--disable-libsystemd], [build without libsystemd]))
AC_ARG_ENABLE([libsystemd], AS_HELP_STRING([--disable-libsystemd], [build without libsystemd]))
msg_libsystemd=no
LIBSYSTEMD_REQUIRED=209
if test "x$enable_libsystemd" != "xno"; then
PKG_CHECK_EXISTS([libsystemd >= $LIBSYSTEMD_REQUIRED], msg_libsystemd=yes)
PKG_CHECK_EXISTS([libsystemd >= $LIBSYSTEMD_REQUIRED], [msg_libsystemd=yes])
if test "x$msg_libsystemd" = "xyes"; then
PKG_CHECK_MODULES([LIBSYSTEMD], [libsystemd >= $LIBSYSTEMD_REQUIRED])
......@@ -144,19 +144,19 @@ if test "x$enable_libsystemd" != "xno"; then
fi
fi
AM_CONDITIONAL(USE_LIBSYSTEMD, [test "$msg_libsystemd" = "yes"])
AM_CONDITIONAL([USE_LIBSYSTEMD], [test "$msg_libsystemd" = "yes"])
dnl *************************************
dnl *** gnome-settings-daemon plug-in ***
dnl *************************************
AC_ARG_ENABLE(gsd_plugin, AS_HELP_STRING([--disable-gsd-plugin],[don't build gnome-settings-daemon plug-in]))
AC_ARG_ENABLE([gsd_plugin], AS_HELP_STRING([--disable-gsd-plugin],[don't build gnome-settings-daemon plug-in]))
msg_gsd_plugin=no
if test "x$enable_gsd_plugin" != "xno"; then
msg_gsd_plugin=yes
PKG_CHECK_MODULES(GSD_PLUGIN, [gnome-settings-daemon >= GSD_PLUGIN_REQUIRED])
PKG_CHECK_MODULES([GSD_PLUGIN], [gnome-settings-daemon >= GSD_PLUGIN_REQUIRED])
fi
AM_CONDITIONAL(USE_GSD_PLUGIN, [test "$msg_gsd_plugin" = "yes"])
AM_CONDITIONAL([USE_GSD_PLUGIN], [test "$msg_gsd_plugin" = "yes"])
# ********************
# Internationalization
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment